MagickCore: statistic.c File Reference

# statistic.c File Reference

`#include "magick/studio.h"`
`#include "magick/property.h"`
`#include "magick/animate.h"`
`#include "magick/blob.h"`
`#include "magick/blob-private.h"`
`#include "magick/cache.h"`
`#include "magick/cache-private.h"`
`#include "magick/client.h"`
`#include "magick/color.h"`
`#include "magick/color-private.h"`
`#include "magick/colorspace.h"`
`#include "magick/colorspace-private.h"`
`#include "magick/composite.h"`
`#include "magick/composite-private.h"`
`#include "magick/compress.h"`
`#include "magick/constitute.h"`
`#include "magick/deprecate.h"`
`#include "magick/display.h"`
`#include "magick/draw.h"`
`#include "magick/enhance.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/gem.h"`
`#include "magick/geometry.h"`
`#include "magick/list.h"`
`#include "magick/image-private.h"`
`#include "magick/magic.h"`
`#include "magick/magick.h"`
`#include "magick/memory_.h"`
`#include "magick/module.h"`
`#include "magick/monitor.h"`
`#include "magick/option.h"`
`#include "magick/paint.h"`
`#include "magick/pixel-private.h"`
`#include "magick/profile.h"`
`#include "magick/quantize.h"`
`#include "magick/random_.h"`
`#include "magick/segment.h"`
`#include "magick/semaphore.h"`
`#include "magick/signature.h"`
`#include "magick/statistic.h"`
`#include "magick/string_.h"`
`#include "magick/timer.h"`
`#include "magick/utility.h"`
`#include "magick/version.h"`

## Defines
#define | PixelSquared(x) ((x)*(x))
## Functions
MagickExport RectangleInfo | GetImageBoundingBox (const Image *image, ExceptionInfo *exception)
MagickExport unsigned long | GetImageDepth (const Image *image, ExceptionInfo *exception)
MagickExport unsigned long | GetImageChannelDepth (const Image *image, const ChannelType channel, ExceptionInfo *exception)
MagickExport MagickBooleanType | GetImageExtrema (const Image *image, unsigned long *minima, unsigned long *maxima, ExceptionInfo *exception)
MagickExport MagickBooleanType | GetImageChannelExtrema (const Image *image, const ChannelType channel, unsigned long *minima, unsigned long *maxima, ExceptionInfo *exception)
MagickExport MagickBooleanType | GetImageMean (const Image *image, double *mean, double *standard_deviation, ExceptionInfo *exception)
MagickExport MagickBooleanType | GetImageChannelMean (const Image *image, const ChannelType channel, double *mean, double *standard_deviation, ExceptionInfo *exception)
MagickExport MagickBooleanType | GetImageRange (const Image *image, double *minima, double *maxima, ExceptionInfo *exception)
MagickExport MagickBooleanType | GetImageChannelRange (const Image *image, const ChannelType channel, double *minima, double *maxima, ExceptionInfo *exception)
static double | MagickMax (const double x, const double y)
static double | MagickMin (const double x, const double y)
MagickExport ChannelStatistics * | GetImageChannelStatistics (const Image *image, ExceptionInfo *exception)
MagickExport unsigned long | GetImageQuantumDepth (const Image *image, const MagickBooleanType constrain)
MagickExport MagickBooleanType | SetImageDepth (Image *image, const unsigned long depth)
MagickExport MagickBooleanType | SetImageChannelDepth (Image *image, const ChannelType channel, const unsigned long depth)

## Define Documentation

#define PixelSquared | ( | x |  | ) | ((x)*(x))

## Function Documentation

MagickExport RectangleInfo GetImageBoundingBox | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport unsigned long GetImageChannelDepth | ( | const Image * | image,
|  | const ChannelType | channel,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType GetImageChannelExtrema | ( | const Image * | image,
|  | const ChannelType | channel,
|  | unsigned long * | minima,
|  | unsigned long * | maxima,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType GetImageChannelMean | ( | const Image * | image,
|  | const ChannelType | channel,
|  | double * | mean,
|  | double * | standard_deviation,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType GetImageChannelRange | ( | const Image * | image,
|  | const ChannelType | channel,
|  | double * | minima,
|  | double * | maxima,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport ChannelStatistics* GetImageChannelStatistics | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport unsigned long GetImageDepth | ( | const Image * | image,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType GetImageExtrema | ( | const Image * | image,
|  | unsigned long * | minima,
|  | unsigned long * | maxima,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport MagickBooleanType GetImageMean | ( | const Image * | image,
|  | double * | mean,
|  | double * | standard_deviation,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport unsigned long GetImageQuantumDepth | ( | const Image * | image,
|  | const MagickBooleanType | constrain |
| ) |  |  |

MagickExport MagickBooleanType GetImageRange | ( | const Image * | image,
|  | double * | minima,
|  | double * | maxima,
|  | ExceptionInfo * | exception |
| ) |  |  |

static double MagickMax | ( | const double | x,
|  | const double | y |
| ) |  |  | `[inline, static]`

static double MagickMin | ( | const double | x,
|  | const double | y |
| ) |  |  | `[inline, static]`

MagickExport MagickBooleanType SetImageChannelDepth | ( | Image * | image,
|  | const ChannelType | channel,
|  | const unsigned long | depth |
| ) |  |  |

MagickExport MagickBooleanType SetImageDepth | ( | Image * | image,
|  | const unsigned long | depth |
| ) |  |  |